# Fields

ACME JSON fields.

class `acme.fields.``Fixed`(json_name, value)

  Bases: `josepy.json_util.Field`

  Fixed field.

class `acme.fields.``RFC3339Field`(json_name, default=None, omitempty=False, decoder=None, encoder=None)

  Bases: `josepy.json_util.Field`

  RFC3339 field encoder/decoder.

  Handles decoding/encoding between RFC3339 strings and aware (not naive) `datetime.datetime` objects (e.g. `datetime.datetime.now(pytz.utc)`).

class `acme.fields.``Resource`(resource_type, *args, **kwargs)

  Bases: `josepy.json_util.Field`

  Resource MITM field.